GuideLab API

Put order on hold

Places an order on hold with a specified hold reason from the lab's configured reasons. Optionally creates file reupload requirements if the hold reason requires it. Only labs can put orders on hold. Sends a notification to the clinic.

POST
/orders/{id}/hold

Places an order on hold with a specified hold reason from the lab's configured reasons. Optionally creates file reupload requirements if the hold reason requires it. Only labs can put orders on hold. Sends a notification to the clinic.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Order ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/550e8400-e29b-41d4-a716-446655440000/hold" \  -H "Content-Type: application/json" \  -d '{    "holdReasonId": "string"  }'
{  "hold": null,  "requirements": [    null  ]}
Empty
Empty
Empty
Empty